Skip to main content
GET
/
connect
/
{namespace}
/
{connectionId}
/
.triggers
/
{triggerName}
Get trigger
curl --request GET \
  --url https://api.smithery.ai/connect/{namespace}/{connectionId}/.triggers/{triggerName} \
  --header 'Authorization: Bearer <token>'
{
  "name": "page.updated",
  "delivery": [
    "webhook"
  ],
  "description": "<string>",
  "inputSchema": {},
  "payloadSchema": {}
}

Documentation Index

Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Smithery API key as Bearer token

Path Parameters

namespace
string
required
connectionId
string
required
triggerName
string
required

Response

Trigger definition

name
string
required

Trigger name exposed by the MCP server

Example:

"page.updated"

delivery
string[]
required

Supported delivery modes

Example:
["webhook"]
description
string
inputSchema
object

JSON Schema for the params required to create the trigger

payloadSchema
object

JSON Schema for the event payload delivered by the trigger